Package org.eclipse.remote.ui

# Interface IRemoteUIConnectionService

All Superinterfaces:
  `IRemoteConnectionType.Service`

All Known Implementing Classes:
  `AbstractRemoteUIConnectionService`

public interface IRemoteUIConnectionService extends IRemoteConnectionType.Service
Interface for providing connection management operations in the UI. Clients can call these methods to open generic dialogs for operations on connections.

Since:
  2.0

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.remote.core.IRemoteConnectionType.Service

`IRemoteConnectionType.Service.Factory`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NEW_CONNECTION_COMMAND`
ID for the command to start the new connection wizard.

## Method Summary

Modifier and Type
Method
Description
`IRemoteUIConnectionWizard`
`getConnectionWizard(org.eclipse.swt.widgets.Shell shell)`
Create a wizard for adding or editing connections.
`org.eclipse.jface.viewers.ILabelProvider`
`getLabelProvider()`
Return the label provider that provides the text and base image for the connection type and connections of that type.
`void`
`openConnectionWithProgress(org.eclipse.swt.widgets.Shell shell, org.eclipse.jface.operation.IRunnableContext context, IRemoteConnection connection)`
Attempt to open a connection using a progress monitor.

### Methods inherited from interface org.eclipse.remote.core.IRemoteConnectionType.Service

`getConnectionType`

## Field Details

### NEW_CONNECTION_COMMAND

static final String NEW_CONNECTION_COMMAND
ID for the command to start the new connection wizard.

See Also:
  - Constant Field Values

## Method Details

### getConnectionWizard

IRemoteUIConnectionWizard getConnectionWizard(org.eclipse.swt.widgets.Shell shell)
Create a wizard for adding or editing connections. The implementation can choose to do this in any way, but typically will use a dialog or wizard.

Parameters:
  `shell` - shell used to display dialogs
Returns:
  connection wizard

### openConnectionWithProgress

void openConnectionWithProgress(org.eclipse.swt.widgets.Shell shell, org.eclipse.jface.operation.IRunnableContext context, IRemoteConnection connection)
Attempt to open a connection using a progress monitor. Can be called on either open or closed connections, and will initialize the remote services if necessary. Users should check connection.isOpen() on return to determine if the connection was actually opened.

Parameters:
  `shell` - shell used to display dialogs
  `context` - runnable context for displaying progress indicator. Can be null.
  `connection` - connection to open

### getLabelProvider

org.eclipse.jface.viewers.ILabelProvider getLabelProvider()
Return the label provider that provides the text and base image for the connection type and connections of that type.

Returns:
  label provider